Foros del Web » Programando para Internet » PHP »

instalar php5 con soporte mysql5

Estas en el tema de instalar php5 con soporte mysql5 en el foro de PHP en Foros del Web. oOlax , tengo un problemilla a la hora de instalar php5 con soporte mysql5, segun la documentacion dice que a la hora de compilar ponga ...
  #1 (permalink)  
Antiguo 20/07/2006, 17:03
 
Fecha de Ingreso: julio-2006
Mensajes: 10
Antigüedad: 11 años, 4 meses
Puntos: 0
Exclamación instalar php5 con soporte mysql5

oOlax , tengo un problemilla a la hora de instalar php5 con soporte mysql5, segun la documentacion dice que a la hora de compilar ponga esto:

./configure --with-mysql=/usr/bin/mysql_config

cuando compilo no sale error alguno, pero a la hora de hacer el make, me salen mensajes comunicando errores de enlace a una tal libreria libiconv, frente a ese problema, me consegui el libiconv...tar.gz (no me acuerco bien la version del libiconv, no lo tengo a la mano), lo instale y normal, 0 errores. Despues, intente compilar otra vez el php5 pero me salio el mismo error que en la primera vez. Aca estan los errores: (son fotos, son paginas webs )

//img69.imageshack.us/img69/5994/pantallazoaz8.png

//img64.imageshack.us/img64/504/pantallazo1wx5.png

Espero que hayan entendido mi problema. Gracias.
  #2 (permalink)  
Antiguo 20/07/2006, 17:10
Avatar de claudiovega  
Fecha de Ingreso: octubre-2003
Ubicación: Puerto Montt
Mensajes: 3.667
Antigüedad: 14 años, 1 mes
Puntos: 11
Tu distribucion no tiene un gestor de paquetes, cual usas?
  #3 (permalink)  
Antiguo 21/07/2006, 01:10
 
Fecha de Ingreso: julio-2006
Mensajes: 10
Antigüedad: 11 años, 4 meses
Puntos: 0
gestor de paquetes? bueno nose, la makina en la q estoy trabajando no tiene internet (tiene un moden usb1060nsd q todavia no puedoconfigurarlo) Lo que kiero es instalarlo, saben xq sale ese error ? ah alguien le ha salido?
  #4 (permalink)  
Antiguo 21/07/2006, 01:46
Avatar de tomerqueves  
Fecha de Ingreso: marzo-2005
Ubicación: algeciras (cadiz)
Mensajes: 196
Antigüedad: 12 años, 8 meses
Puntos: 7
Siento no haberte entendido correctamente. He puesto empeño pero la terminología que usas no estoy yo... Bueno el caso.. para trabajar con imágenes hay que tener activa la librería "php_gd2.dll". Para activarla se le quita el " ; " a: extension=php_gd2.dll que se encuentra en el php.ini. Este archivo debe estar en C:\windows. Si usas win. En otro caso ya quisiera yo saber.
Activas la libreria, quizas haga falta reiniciar(no sé) y segun el manual que yo seguí todo lo necesario para juguetear con imagenes ya estaría listo.
Bueno, espero haberte ayudado porque ya te digo que no entiendo claramente el problema. En fin, si no es así entre que llegue o no otra respuesta exale un vistazo al punto y coma ese. jum, no se.
Saludos.
__________________
A todos los moderadores y admiinistradores. Si algun día me banean, por favor devolverme la carita de mi avatar
  #5 (permalink)  
Antiguo 21/07/2006, 08:29
Avatar de claudiovega  
Fecha de Ingreso: octubre-2003
Ubicación: Puerto Montt
Mensajes: 3.667
Antigüedad: 14 años, 1 mes
Puntos: 11
Lo que pregunté hEakfall es que distribución de Linux usas (como se llama tu Linux), no lo pude deducir de las capturas de pantalla.
Muchas distribuciones traen gestores de paquetes, que son programas que te instalan software con una simple orden install.
Indica tu distribucion para ayudarte mejor.
  #6 (permalink)  
Antiguo 21/07/2006, 15:05
 
Fecha de Ingreso: julio-2006
Mensajes: 10
Antigüedad: 11 años, 4 meses
Puntos: 0
tengo el centos 4.3, el tar.gz del php5.1.4 que me consegui es para cualkier arquitectura. El problema en algo con referencias a algo llamado libivconv, y como ya dije, lo instale desde un tar.gz tbn xq no encontre un rpm. Las fotos tienen esos errores. Gracias.

ahh , dije que no tenia internet xq me estaba imaginando que me dirian que me conectara a un repositorio en la red. :)
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 13:20.